function LigatureSymbols(options) {
	switch (Ti.Platform.osname) {
		case 'iphone':
		case 'ipad':
			this.fontfamily = 'LigatureSymbols';
			break;
		case 'android':
			this.fontfamily = 'LigatureSymbols';
	}

	this.charcode = {
		list: 0xe084,
		tile: 0xe129,
		table: 0xe127,
		copy: 0xe038,
		cut: 0xe03b,
		backspace: 0xe010,
		alignleft: 0xe005,
		aligncenter: 0xe004,
		alignright: 0xe006,
		alignadjust: 0xe003,
		italic: 0xe079,
		bold: 0xe01f,
		underline: 0xe132,
		code: 0xe032,
		link: 0xe082,
		quote: 0xe10b,
		graph: 0xe05b,
		magic: 0xe089,
		brush: 0xe022,
		color: 0xe033,
		contrast: 0xe001,
		ink: 0xe14a,
		gradation: 0xe149,
		sepia: 0xe14e,
		invert: 0xe14b,
		paint: 0xe09b,
		paramater: 0xe09c,
		crop: 0xe039,
		check: 0xe029,
		checkbox: 0xe02a,
		checkboxempty: 0xe02b,
		pc: 0xe09e,
		keyboard: 0xe07d,
		mobile: 0xe078,
		horizontal: 0xe071,
		vertical: 0xe138,
		web: 0xe13f,
		mail: 0xe08a,
		shopping: 0xe119,
		dashboard: 0xe03c,
		key: 0xe07c,
		sns: 0xe11f,
		calender: 0xe025,
		ban: 0xe012,
		remove: 0xe10f,
		pen: 0xe09f,
		eraser: 0xe148,
		edit: 0xe041,
		tabs: 0xe095,
		tag: 0xe128,
		setup: 0xe117,
		setting: 0xe055,
		etc: 0xe043,
		clip: 0xe030,
		bookmark: 0xe021,
		book: 0xe020,
		album: 0xe002,
		user: 0xe137,
		friend: 0xe051,
		group: 0xe05c,
		frustrate: 0xe052,
		laugh: 0xe07f,
		wink: 0xe081,
		smile: 0xe11e,
		surprise: 0xe124,
		trouble: 0xe12d,
		game: 0xe054,
		globe: 0xe058,
		home: 0xe072,
		building: 0xe023,
		rss: 0xe113,
		app: 0xe009,
		memo: 0xe08d,
		meal: 0xe08c,
		coffee: 0xe146,
		present: 0xe109,
		twinkle: 0xe073,
		crown: 0xe03a,
		category: 0xe028,
		circle: 0xe02e,
		info: 0xe075,
		help: 0xe070,
		refreshbutton: 0xe14d,
		menu: 0xe08e,
		tilemenu: 0xe12a,
		notify: 0xe097,
		file: 0xe048,
		print: 0xe10a,
		del: 0xe12c,
		clear: 0xe02f,
		save: 0xe115,
		upload: 0xe136,
		cloud: 0xe031,
		folder: 0xe04c,
		camera: 0xe026,
		photo: 0xe101,
		image: 0xe074,
		barcode: 0xe013,
		phone: 0xe100,
		music: 0xe094,
		video: 0xe139,
		playmedia: 0xe107,
		record: 0xe10d,
		play: 0xe106,
		pause: 0xe09d,
		stop: 0xe123,
		eject: 0xe042,
		bell: 0xe014,
		volumeup: 0xe13d,
		volumedown: 0xe13c,
		volume: 0xe13b,
		off: 0xe098,
		light: 0xe14c,
		dark: 0xe147,
		lock: 0xe086,
		unlock: 0xe134,
		flag: 0xe04a,
		wifi: 0xe140,
		time: 0xe12b,
		map: 0xe08b,
		geo: 0xe056,
		location: 0xe085,
		pin: 0xe103,
		walking: 0xe13e,
		bicycle: 0xe015,
		car: 0xe027,
		bus: 0xe024,
		plane: 0xe105,
		compass: 0xe036,
		arrowup: 0xe00e,
		arrowright: 0xe00d,
		arrowdown: 0xe00b,
		arrowleft: 0xe00c,
		up: 0xe135,
		right: 0xe112,
		down: 0xe03e,
		left: 0xe080,
		back: 0xe00f,
		next: 0xe096,
		dropdown: 0xe040,
		sort: 0xe120,
		good: 0xe059,
		bad: 0xe011,
		full: 0xe053,
		small: 0xe11d,
		move: 0xe093,
		undo: 0xe133,
		forward: 0xe04e,
		reply: 0xe111,
		share: 0xe118,
		login: 0xe087,
		logout: 0xe088,
		exchange: 0xe045,
		shuffle: 0xe11a,
		repeat: 0xe110,
		refresh: 0xe10e,
		sync: 0xe125,
		external: 0xe046,
		addstar: 0xe000,
		star: 0xe121,
		starempty: 0xe122,
		heart: 0xe06e,
		heartempty: 0xe06f,
		view: 0xe13a,
		comment: 0xe034,
		comments: 0xe035,
		plus: 0xe108,
		minus: 0xe08f,
		zoomin: 0xe142,
		zoomout: 0xe143,
		search: 0xe116,
		apple: 0xe00a,
		android: 0xe008,
		windows: 0xe151,
		amazon: 0xe007,
		facebook: 0xe047,
		twitter: 0xe12f,
		google: 0xe05a,
		hatena: 0xe05d,
		linkedin: 0xe083,
		mixi: 0xe090,
		skype: 0xe11b,
		forsquare: 0xe04d,
		pinterest: 0xe104,
		flickr: 0xe04b,
		tumblr: 0xe12e,
		evernote: 0xe044,
		github: 0xe057,
		dribbble: 0xe03f,
		cookpad: 0xe037,
		instapaper: 0xe076,
		readability: 0xe10c,
		picasa: 0xe102,
		delicious: 0xe03d,
		youtube: 0xe141,
		chrome: 0xe02c,
		safari: 0xe114,
		sleipnir: 0xe11c,
		firefox: 0xe049
	};
}

LigatureSymbols.prototype.getCharcode = function(options) {
	if (options === 'delete') {
		options = 'del';
	}
	return this.charcode[options];
};

module.exports = LigatureSymbols;